Package org.eclipse.graphiti.tb

# Class DynamicContextMenuEntry

java.lang.Object
org.eclipse.graphiti.tb.AbstractContextEntry
org.eclipse.graphiti.tb.DynamicContextMenuEntry

All Implemented Interfaces:
  `IContextEntry`, `IContextMenuEntry`

public class DynamicContextMenuEntry extends AbstractContextEntry implements IContextMenuEntry
The Class DynamicContextMenuEntry.

## Constructor Summary

Constructors
Constructor
Description
`DynamicContextMenuEntry(IFeature feature, IContext context)`
Creates a new `DynamicContextMenuEntry`.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IContextMenuEntry entry)`
Adds the.
`IContextMenuEntry[]`
`getChildren()`
Gets the children.
`int`
`getMinimumSubmenuEntries()`
Gets the minimum submenu entries.
`boolean`
`isSubmenu()`
Checks if is submenu.
`void`
`setMinimumSubmenuEntries(int minimumSubmenuEntries)`
Sets the minimum submenu entries.

### Methods inherited from class org.eclipse.graphiti.tb.AbstractContextEntry

`canExecute, execute, getContext, getDescription, getFeature, getIconId, getText, setDescription, setIconId, setText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.tb.IContextEntry

`canExecute, execute, getContext, getDescription, getFeature, getIconId, getText, setDescription, setIconId, setText`

## Constructor Details

### DynamicContextMenuEntry

public DynamicContextMenuEntry(IFeature feature, IContext context)
Creates a new `DynamicContextMenuEntry`.

Parameters:
  `feature` - the feature
  `context` - the context

## Method Details

### getChildren

public IContextMenuEntry[] getChildren()
Description copied from interface: `IContextMenuEntry`
Gets the children.

Specified by:
  `getChildren` in interface `IContextMenuEntry`
Returns:
  the children

### add

public void add(IContextMenuEntry entry)
Description copied from interface: `IContextMenuEntry`
Adds the.

Specified by:
  `add` in interface `IContextMenuEntry`
Parameters:
  `entry` - the entry

### isSubmenu

public boolean isSubmenu()
Description copied from interface: `IContextMenuEntry`
Checks if is submenu.

Specified by:
  `isSubmenu` in interface `IContextMenuEntry`
Returns:
  true, if is submenu

### setMinimumSubmenuEntries

public void setMinimumSubmenuEntries(int minimumSubmenuEntries)
Sets the minimum submenu entries.

Parameters:
  `minimumSubmenuEntries` - the new minimum submenu entries

### getMinimumSubmenuEntries

public int getMinimumSubmenuEntries()
Gets the minimum submenu entries.

Returns:
  the minimum submenu entries